#include "colors.inc"
#include "woods.inc"
#declare FinishedWood=
        texture {
                T_Wood12
                finish {ambient rgb <0.2, 0.2, 0.2>
                        diffuse 0.6
                        brilliance 2
                        specular 0.9
                        roughness 0.02                        
                }
                rotate <0.1,0.1,0.1>
        }

#declare nickel=
  texture {
    pigment {
      color rgb 1
    }
    finish {
      ambient 0
      diffuse 0.1
      specular 0.9
      roughness 1/1000
      reflection { 0.9 }
      metallic
    }
  }

#if (use_textures=1)
  #declare banjo_wood=FinishedWood
  #declare r_neck=FinishedWood
#else
  #declare banjo_wood=texture {pigment {color rgb 0.2}}
  #declare r_neck=banjo_wood
#end

#declare r_head_stain=
  texture {
    pigment {
      image_pattern { jpeg "banjo head stain.jpg"}
      color_map {
        [0.0 rgb <203,204,173>/255]
        [1.0 rgbf <1,1,1,1>]
      }
    }
  translate <-0.5,-0.5,0>
  scale 11
  translate <0.25,0.25,0>
  }

#if (use_textures=1)
  #declare r_head=
    texture {
      pigment {
        granite scale 8
        color_map {
          [0.0 rgb 1]
          [1.0 rgb 0.95]
        }
      }
    }
    texture {r_head_stain}
#else
  #declare r_head=texture { pigment {color rgb 1} }
#end
    
#declare r_shoe=nickel
#declare r_bracket=nickel

#declare r_resonator_edge=
  texture {
    pigment {
      color rgb 0
    }
    finish {
      specular 0.8
      roughness 1/800
    }
  }

#declare r_resonator_paint=
  texture {
    pigment {
      color rgb 1
    }
    finish {
      specular 0.5
      roughness 1/400
    }
  }
  
#declare r_rim_wood=banjo_wood
#declare r_hoop=nickel
#declare r_resonator_wood=banjo_wood
#declare r_flange=nickel
#declare r_tonering=nickel
#declare r_headgloss=
  texture {
    pigment {
      color rgb 0
    }
    finish {
      specular 0.8
      roughness 1/800
      reflection {0.0,0.2}
    }
  }
  
#declare r_nut=
  texture {
    pigment {
      color rgb 1
    }
  }

#declare t_fretboard=
  texture {
    pigment {
      color rgb 0.05
    }
  }

#declare t_fretboard_side=
  texture {
    pigment {
      color rgb <241,244,213>/255
    }
    finish {
      specular 0.4
      roughness 1/8
    }
  }

#declare r_fretboard=
  texture {
    gradient z
    texture_map {
      [0.0 t_fretboard_side]
      [0.5 t_fretboard_side]
      [0.51 t_fretboard]
      [1.00 t_fretboard]
    }
    translate <0,0,-0.5>
    translate <0,0,0.5377>
  }

#declare r_tuner=nickel

#if (use_textures=1)
  #declare r_pearl=
     texture {
       pigment {
        bozo scale 1
        color_map {
          [0.0 rgb 1]
          [0.45 rgb 1]
          [0.50 rgb 0.9]
          [1.00 rgb 0.9]
        }
      }
      finish {
        specular 0.9
        roughness 1/200
      }
    }
#else
  #declare r_pearl=
    texture {pigment {color rgb 1}}
#end

#declare r_string=
  texture {
    pigment {
      color rgb 0.5
    }
    finish {
      specular 0.7
      roughness 1/100
    }
  }
#declare r_fret=
  texture {
    pigment {
      color rgb <222,223,209> /255
    }
    finish {
      specular 0.8
      roughness 1/28
      metallic
    }
  }
#declare r_bridge=
  texture {
    pigment {
      color rgb <251,250,231>/255
    }
  }

#declare r_bridgeebony=
  texture {
    pigment {
      color rgb <59,59,55>/255
    }
  }
  
#declare r_tailpiece=nickel

